names {base} | R Documentation

## The Names Attribute of an Object

### Description

Functions to get or set the names of an object.

### Usage

    names(x)
    names(x) <- value

### Arguments

`x` | an R object.
`value` | a character vector of up to the same length as `x`, or `NULL`.

### Details

`names` is a generic accessor function, and `names<-` is a generic replacement function. The default methods get and set the `"names"` attribute of a vector or list.

If `value` is shorter than `x`, it is extended by character `NA`s to the length of `x`.

It is possible to update just part of the names attribute via the general rules: see the examples. This works because the expression there is evaluated as `z <- "names<-"(z, "[<-"(names(z), 3, "c2"))`.

### Value

For `names`, `NULL` or a character vector of the same length as `x`.
For `names<-`, the updated object. (Note that the value of `names(x) <- value` is that of the assignment, `value`, not the return value from the left-hand side.)

### References

Becker, R. A., Chambers, J. M. and Wilks, A. R. (1988) The New S Language. Wadsworth & Brooks/Cole.

### Examples

    data(islands)
    # print the names attribute of the islands data set
    names(islands)

    # remove the names attribute
    names(islands) <- NULL

    z <- list(a=1, b="c", c=1:3)
    names(z)
    # change just the name of the third element.
    names(z)[3] <- "c2"
    z

    z <- 1:3
    names(z)
    ## assign just one name
    names(z)[2] <- "b"
    z

[Package Contents]